VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Variables
Steinberg::HostChecker Namespace Reference

## Variables
const int32 | kMaxLatency = 8192
const uint32 | kParamWarnCount = 8
const uint32 | kParamWarnBitCount = 24
const uint32 | kParamWarnStepCount = 1 << kParamWarnBitCount
const uint32 | kParamUnitStruct1Count = 4
const uint32 | kParamUnitStruct2Count = 4
const uint32 | kParamUnitStruct3Count = 2
const uint32 | kParamUnitStructCount

## Variable Documentation

## ◆ kMaxLatency

const int32 kMaxLatency = 8192

## ◆ kParamWarnCount

const uint32 kParamWarnCount = 8

## ◆ kParamWarnBitCount

const uint32 kParamWarnBitCount = 24

## ◆ kParamWarnStepCount

const uint32 kParamWarnStepCount = 1 << kParamWarnBitCount

## ◆ kParamUnitStruct1Count

const uint32 kParamUnitStruct1Count = 4

## ◆ kParamUnitStruct2Count

const uint32 kParamUnitStruct2Count = 4

## ◆ kParamUnitStruct3Count

const uint32 kParamUnitStruct3Count = 2

## ◆ kParamUnitStructCount

const uint32 kParamUnitStructCount

Initial value:
=
2 * (kParamUnitStruct1Count * kParamUnitStruct2Count * kParamUnitStruct3Count + 1)
Steinberg::HostChecker::kParamUnitStruct2Count
const uint32 kParamUnitStruct2Count
Definition hostcheckercontroller.h:73
Steinberg::HostChecker::kParamUnitStruct3Count
const uint32 kParamUnitStruct3Count
Definition hostcheckercontroller.h:74
Steinberg::HostChecker::kParamUnitStruct1Count
const uint32 kParamUnitStruct1Count
Definition hostcheckercontroller.h:72
Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.